From 31c41237a4cd2b05ccd5c1ce31dc54631ff6ff87 Mon Sep 17 00:00:00 2001
From: Guilherme Sant'Ana <guilherme.sant_ana@outlook.com>
Date: May 28 2018 20:29:31 +0000
Subject: [PATCH 7/42] Add vuex-persistedstate to correct data loss


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index d7eaca7..3fdbdc5 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -71,7 +71,6 @@ export default {
       getterNames.allPackages
     ]),
     formatPackages () {
-      this.allPackages.map(p => console.log(p.name))
       return this.allPackages.map(p => {
         let previous = this.createPrevious(p)
         return {
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index 58fdc8b..f2f8c39 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -144,6 +144,8 @@ export default {
   mounted () {
     if (this.package) {
       this.currentPackage = this.package
+    } else {
+      this.currentPackage = this.currentPackage
     }
     this.selectAnalysisId = (this.analysis || [{id: 0}])[0].id
     this.fetchData()
diff --git a/src/store/index.js b/src/store/index.js
index f3b9238..54d7477 100644
--- a/src/store/index.js
+++ b/src/store/index.js
@@ -3,11 +3,13 @@ import Vuex from 'vuex'
 import packages from './modules/packages'
 import analysis from './modules/analysis'
 import analysisData from './modules/analysisData'
+import createPersistedState from 'vuex-persistedstate'
 
 export default new Vuex.Store({
   modules: {
     packages,
     analysisData,
     analysis
-  }
+  },
+  plugins: [createPersistedState()]
 })

